mav_matrixScaleGet(3)

NAME
mav_matrixScaleGet - Query scale of matrix.

LEVEL
Maverik Level 2

SYNTAX
float *mav_matrixScaleGet(MAV_matrix m);

ARGUMENTS

MAV_matrix m

DESCRIPTION
Maverik dictates that objects can only be scaled uniformly. This function returns the scale used in matrix m, by (arbitrarily) querying the x-scale. This information is useful for applications which wish to write their own object intersection routines.